### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/data-table/pulled-ux-table/ux-table.component.ts`

### Implements

`OnInit` `AfterViewInit` `OnDestroy` `OnChanges`

### Metadata

providers | `{ provide: MatPaginatorIntl, useClass: MatPaginatorCustomIntl, deps: [TranslateService], }`
selector | `ux-dyn-data-table`
templateUrl | `./ux-table.component.html`

### Index

###### Properties

- actionsColWrappers
- customBodyContent
- customFooterContent
- customHeaderContent
- expandableRowWrappers
- Public expandedElement
- Public isTableSortable
- Public noResultFound
- Public noResultFoundLabel
- paginator
- Public selection
- sort
- Public tableDataProps
- Public tableDataSource

###### Methods

- Public expandableRowToggle
- Public isAllSelected
- Public isSelectedRow
- Public isTableHeaderDisabled
- Public paginate
- Public paginationFirstPage
- Public rowIndex
- Public rowSelection
- Public toggleSelection
- Public trackById

###### Inputs

- actionsColComponent
- actionsColComponentConfig
- actionsColLabel
- asyncModel
- dataLoading
- expandableComponent
- expandableComponentConfig
- fullAsync
- hasPagination
- hasRowIndex
- isFooterSticky
- isHeaderSticky
- isRowSelectable
- paginationLength
- paginationSize
- rowIndexLabel
- styleClass
- tableBorder
- tableColsAdvancedConfig
- tableColsDefaultOrder
- tableColsDefaultSort
- tableColsLabel
- tableColsSortable
- tableData

###### Outputs

- onPaginationChange
- onSelectionChange
- onSortChange

### Constructor

`constructor(uxDynamicComponentService: UxDynamicComponentService, translateService: TranslateService)`

Parameters :

Name | Type | Optional
uxDynamicComponentService | `UxDynamicComponentService` | No
translateService | `TranslateService` | No

### Inputs

actionsColComponent
Type : `any`

actionsColComponentConfig
Type : `any`
Default value : `{}`

actionsColLabel
Type : `string`
Default value : `'Actions'`

asyncModel
Type : `any`

dataLoading
Type : `boolean`

expandableComponent
Type : `any`

expandableComponentConfig
Type : `any`
Default value : `{}`

fullAsync
Type : `boolean`
Default value : `false`

hasPagination
Type : `boolean`
Default value : `false`

hasRowIndex
Type : `boolean`
Default value : `false`

isFooterSticky
Type : `boolean`

isHeaderSticky
Type : `boolean`

isRowSelectable
Type : `boolean`

paginationLength
Type : `number`

paginationSize
Type : `any`
Default value : `[10, 20, 50]`

rowIndexLabel
Type : `string`
Default value : `''`

styleClass
Type : `string`
Default value : `''`

tableBorder
Default value : `false`

tableColsAdvancedConfig
Type : `literal type`

tableColsDefaultOrder
Type : `"asc" | "desc"`
Default value : `'asc'`

tableColsDefaultSort
Type : `string`

tableColsLabel
Type : `string[]`

tableColsSortable
Type : `boolean | string[]`

tableData
Type : `any[]`
Default value : `[]`

### Outputs

onPaginationChange
Type : `EventEmitter`

onSelectionChange
Type : `EventEmitter`

onSortChange
Type : `EventEmitter`

### Methods

Public expandableRowToggle
`expandableRowToggle(row: any)`

Parameters :

Name | Type | Optional
row | `any` | No

Returns : `any`

Public isAllSelected
`isAllSelected()`
Returns : `boolean`

Public isSelectedRow
`isSelectedRow(row: any)`

Parameters :

Name | Type | Optional
row | `any` | No

Returns : `boolean`

Public isTableHeaderDisabled
`isTableHeaderDisabled(tableDataProp: string)`

Parameters :

Name | Type | Optional
tableDataProp | `string` | No

Returns : `boolean`

Public paginate
`paginate(e: literal type)`

Parameters :

Name | Type | Optional
e | `literal type` | No

Returns : `void`

Public paginationFirstPage
`paginationFirstPage()`
Returns : `void`

Public rowIndex
`rowIndex(element: any)`

Parameters :

Name | Type | Optional
element | `any` | No

Returns : `any`

Public rowSelection
`rowSelection(e: any, row: any)`

Parameters :

Name | Type | Optional
e | `any` | No
row | `any` | No

Returns : `any`

Public toggleSelection
`toggleSelection(e: any)`

Parameters :

Name | Type | Optional
e | `any` | No

Returns : `any`

Public trackById
`trackById(index: number, element: any)`

Parameters :

Name | Type | Optional
index | `number` | No
element | `any` | No

Returns : `any`

### Properties

actionsColWrappers
Type : `ElementRef[]`
Decorators : `@ViewChildren('actionsColWrapper')`

customBodyContent
Type : `QueryList<UxTableBodyDirective>`
Decorators : `@ContentChild(undefined)`

customFooterContent
Type : `QueryList<UxTableFooterDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderContent
Type : `QueryList<UxTableHeaderDirective>`
Decorators : `@ContentChild(undefined)`

expandableRowWrappers
Type : `ElementRef[]`
Decorators : `@ViewChildren('expandableRowWrapper')`

Public expandedElement
Type : `any`

Public isTableSortable
Default value : `false`

Public noResultFound
Type : `boolean`
Default value : `false`

Public noResultFoundLabel
Type : `string`

paginator
Type : `MatPaginator`
Decorators : `@ViewChild(MatPaginator)`

Public selection
Default value : `new SelectionModel<any>(true, [])`

sort
Type : `MatSort`
Decorators : `@ViewChild(MatSort)`

Public tableDataProps
Type : `string[]`
Default value : `[]`

Public tableDataSource
Type : `MatTableDataSource<any>`

# result-matching ""

# No results matching ""